Question

Upgrade of 2 clusters considerations and best practise process.

  • 8 November 2019
  • 1 reply
  • 242 views

Badge

Hi community

 

I am planning an upgrade of our Hypervisor of ESXi from VMware ESXi, 6.5.0, 8294253 to 6.5 U3 Latest build. 

Just wanted to get some feedback whether the process I have would be the correct one? first time we plan to use the one click upgrade process! 


We have 2 clusters, a production and DR cluster. We do use Data protection and Async DR and I believe that the target Async environment needs to be updated first which is the preferred option anyway. 

 

This is the approach I was going to take. Any feedback on this would be great.

 

Prism Central Specific

NCC (already upgraded to latest 3.9.2.1 version)
Prism Central from 5.10.4 to 5.11.1.1

We use vCentre VCSA 6.5, we plan to also upgrade this to later patching level. This will be done separately. 

 

Prism Element (each cluster)

NCC (already upgraded to latest 3.9.2.1 version)
Install AOS 5.10.4.1 LTS to 5.10.8 LTS. We wish to stay on a LTS release, is this the latest one for LTS.? 5.11.1.2 is available for us to install but I think this is STS.
We use files and are on 3.5.3 ( I don’t plan to upgrade this to a later release just yet). 
Download latest ESXi binaries from VMware site, download JSON from Nutanix and import into Hypervisor section. This will confirm if AOS is compatible with the version of ESXi upgrade we wish to do?

We don’t use Foundation. Do we need to install this? I noticed also that for Life cycle management we are Foundation 4.4.1 but there is an update to 4.4.4. 

Look forward to your assistance.

Thanks
Ranj 


1 reply

Userlevel 3
Badge +3

Hello@Ranjb 

Try giving the following post a read, it beautifully breaks down the upgrade guideline and process 

https://next.nutanix.com/prism-infrastructure-management-26/all-things-considered-upgrade-sequence-and-preaparation-guidelines-33524#post44161


To confirm that the ESXi version compatible with Nutanix AOS, always consider the Compatability Matrix as the source of truth. 
https://next.nutanix.com/installation-configuration-23/is-your-hypervisor-supported-by-nutanix-33485


Hope this helps!

Reply